import 'package:m3u_nullsafe/m3u_nullsafe.dart';
import 'package:test/test.dart';

import '../utils/file_loader.dart';

void main() {
  test('M3U invalid Header format', () {
    expect(
        () async => parseFile(
            await FileUtils.loadFile(fileName: 'generic/invalid_header')),
        throwsA(predicate((dynamic exception) =>
            exception is InvalidFormatException &&
            exception.formatType == InvalidFormatType.header)));
  });
}
